at.chipkarte.client.bkf.soap

## Class SelbstzahlerMammographieDoku

- Object
- - at.chipkarte.client.bkf.soap.SelbstzahlerMammographieDoku

-     public class SelbstzahlerMammographieDoku
      extends Object

  Enthält die Ergebnisdaten der Selbstzahler Mammographie, zum Aufruf der Funktion createSelbstzahlerMammographieDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelbstzahlerMammographieDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SZMEndergebnis` | `getEndergebnis()` Dokumentation des Endergebnisses `SZMEndergebnis`.
    `String` | `getLeistungsdatum()` Datum der Leistung.
    `SZMMammographieErstbefunder` | `getMamErstbefunder()` Mammographiedokumentation des Erstbefunders `SZMMammographieErstbefunder`.
    `SZMMammographieZweitbefunder` | `getMamZweitbefunder()` Mammographiedokumentation des Zweitbefunders `SZMMammographieZweitbefunder`.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `SZMUltraschall` | `getUltraschall()` Ultraschalldokumentation `SZMUltraschall`.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `void` | `setEndergebnis(SZMEndergebnis endergebnis)`
    `void` | `setLeistungsdatum(String leistungsdatum)`
    `void` | `setMamErstbefunder(SZMMammographieErstbefunder mamErstbefunder)`
    `void` | `setMamZweitbefunder(SZMMammographieZweitbefunder mamZweitbefunder)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setUltraschall(SZMUltraschall ultraschall)`
    `void` | `setVersionsnummer(String versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelbstzahlerMammographieDoku

          public SelbstzahlerMammographieDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createSelbstzahlerMammographieDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getLeistungsdatum

          public String getLeistungsdatum()

      Datum der Leistung.
      Angabe: Muss.
      Darf nicht in der Zukunft liegen.
      Format: TT.MM.JJJJ
      ParameterID: 9006.
      Returns:
        Leistungsdatum

    - #### setLeistungsdatum

          public void setLeistungsdatum(String leistungsdatum)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getMamErstbefunder

          public SZMMammographieErstbefunder getMamErstbefunder()

      Mammographiedokumentation des Erstbefunders `SZMMammographieErstbefunder`.
      Angabe: Muss.
      ParameterID: 1010.
      Returns:
        MamErstbefunder

    - #### setMamErstbefunder

          public void setMamErstbefunder(SZMMammographieErstbefunder mamErstbefunder)

    - #### getMamZweitbefunder

          public SZMMammographieZweitbefunder getMamZweitbefunder()

      Mammographiedokumentation des Zweitbefunders `SZMMammographieZweitbefunder`.
      Angabe: Kann.
      ParameterID: 1050.
      Returns:
        MamZweitbefunder

    - #### setMamZweitbefunder

          public void setMamZweitbefunder(SZMMammographieZweitbefunder mamZweitbefunder)

    - #### getUltraschall

          public SZMUltraschall getUltraschall()

      Ultraschalldokumentation `SZMUltraschall`.
      Angabe: Kann.
      ParameterID: 1030.
      Returns:
        Ultraschall

    - #### setUltraschall

          public void setUltraschall(SZMUltraschall ultraschall)

    - #### getEndergebnis

          public SZMEndergebnis getEndergebnis()

      Dokumentation des Endergebnisses `SZMEndergebnis`.
      Angabe: Muss.
      ParameterID: 1070.
      Returns:
        Endergebnis

    - #### setEndergebnis

          public void setEndergebnis(SZMEndergebnis endergebnis)